Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.memtree
Class MemTreeBuilder

    java.lang.Object
      org.exist.memtree.MemTreeBuilder

public class MemTreeBuilder
extends java.lang.Object

Use this class to build a new in-memory DOM document.

Author:
  Wolfgang

Constructor Summary
`MemTreeBuilder()`
`MemTreeBuilder(XQueryContext context)`

Method Summary
`int` | `addAttribute(QName qname, java.lang.String value)`
`int` | `addReferenceNode(NodeProxy proxy)`
`int` | `cdataSection(java.lang.CharSequence data)`
`int` | `characters(char[] ch, int start, int len)` Create a new text node.
`int` | `characters(java.lang.CharSequence s)` Create a new text node.
`int` | `comment(char[] ch, int start, int len)`
`int` | `comment(java.lang.CharSequence data)`
`int` | `documentType(java.lang.String publicId, java.lang.String systemId)`
`void` | `documentType(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `endDocument()` End building the document.
`void` | `endElement()` Close the last element created.
`XQueryContext` | `getContext()`
`DocumentImpl` | `getDocument()` Returns the created document object.
`int` | `getSize()`
`int` | `namespaceNode(QName qn)`
`int` | `namespaceNode(java.lang.String prefix, java.lang.String uri)`
`int` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `startDocument()` Start building the document.
`int` | `startElement(QName qn, org.xml.sax.Attributes attributes)` Create a new element.
`int` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes attributes)` Create a new element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemTreeBuilder

    public MemTreeBuilder()

### MemTreeBuilder

    public MemTreeBuilder(XQueryContext context)

Method Detail

### getDocument

    public DocumentImpl getDocument()

  Returns the created document object.

### getContext

    public XQueryContext getContext()

### getSize

    public int getSize()

### startDocument

    public void startDocument()

  Start building the document.

### endDocument

    public void endDocument()

  End building the document.

### startElement

    public int startElement(java.lang.String namespaceURI,
                            java.lang.String localName,
                            java.lang.String qname,
                            org.xml.sax.Attributes attributes)

  Create a new element.

  Returns:
    the node number of the created element

### startElement

    public int startElement(QName qn,
                            org.xml.sax.Attributes attributes)

  Create a new element.

  Returns:
    the node number of the created element

### endElement

    public void endElement()

  Close the last element created.

### addReferenceNode

    public int addReferenceNode(NodeProxy proxy)

### addAttribute

    public int addAttribute(QName qname,
                            java.lang.String value)

### characters

    public int characters(char[] ch,
                          int start,
                          int len)

  Create a new text node.

  Returns:
    the node number of the created node

### characters

    public int characters(java.lang.CharSequence s)

  Create a new text node.

  Returns:
    the node number of the created node

### comment

    public int comment(java.lang.CharSequence data)

### comment

    public int comment(char[] ch,
                       int start,
                       int len)

### cdataSection

    public int cdataSection(java.lang.CharSequence data)

### processingInstruction

    public int processingInstruction(java.lang.String target,
                                     java.lang.String data)

### namespaceNode

    public int namespaceNode(java.lang.String prefix,
                             java.lang.String uri)

### namespaceNode

    public int namespaceNode(QName qn)

### documentType

    public int documentType(java.lang.String publicId,
                            java.lang.String systemId)

### documentType

    public void documentType(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.